1

How do I downgrade my GCC v5 to GCC version 4.7 ? I currently don't have Xcode installed and I am using the command line tool.

More details :

Apple LLVM version 7.3.0 (clang-703.0.29)
Target: x86_64-apple-darwin15.4.0
Thread model: posix

OS X Version : 10.11.4

  • 2
    That info is not for gcc it is for clang. How did you install gcc. (and why do you need the older version) – user151019 May 25 '16 at 19:04
  • My nvcc compiler is creating problem while i'm trying to use my NVIDIA GPU. I installed gcc from home-brew. Hope that helps – Sentient07 May 25 '16 at 19:22
2

To install GCC 4.7 from Homebrew:

$ brew tap homebrew/homebrew-versions
$ brew install gcc47

which will install it as gcc-47. If you want to install as gcc instead:

$ ln -s /usr/local/bin/gcc-47 /usr/local/bin/gcc

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .